Subject: Re: [PATCH net-next 1/3] net: Add max rate tx queue attribute

From: John Fastabend <[email-masked]>
Date: Wed, 11 Mar 2015 11:50:32 -0700

On 03/11/2015 06:14 AM, Or Gerlitz wrote:
> From: John Fastabend <[email-masked]>
> 
> This adds a tx_maxrate attribute to the tx queue sysfs entry allowing
> for max-rate limiting. Along with DCB-ETS and BQL this provides another
> knob to tune queue performance. The limit units are Mbps.
> 
> By default it is disabled. To disable the rate limitation after it
> has been set for a queue, it should be set to zero.
> 
> Signed-off-by: John Fastabend <[email-masked]>
> Signed-off-by: Or Gerlitz <[email-masked]>
> ---
>  include/linux/netdevice.h |    9 ++++++
>  net/core/net-sysfs.c      |   70 +++++++++++++++++++++++++++++++++++++--------
>  2 files changed, 67 insertions(+), 12 deletions(-)

hmm I'm not sure sysfs is entirely the correct interface although it is
convenient. Did you consider porting to netlink? To be honest I can't
remember why I didn't do it netlink to start with. I think at the time
I was more interested in the controller, feedback loop aspect. Basically
I was dynamically managing the rate limiters across NICs from an agent to
try and manage some types of congestion.

.John